using System;

using N14PKLibrary;
using N14PKLibrary.Data;
using N14PKLibrary.HelperClass;

class N14PKBrowseExtension
{
	public static void Function( N14PK n14pk, int id, YousyoData data )
	{
		var yousyo = data;

		foreach ( var kaidou in n14pk.Kaidoutable )
		{
			if ( ( ( kaidou.PtrYousyo1 == yousyo.Address ) || ( kaidou.PtrYousyo2 == yousyo.Address ) )
					&& !( 1 < kaidou.JoutaiFlag )
				)
			{
				// X̗[ǂ炩vƈv  ς݊X
				var n = kaidou.ChikeiID;

				var level = ( n == 0 ) ? 4	// n
					: ( n == 1 ) ? 2		// R
					: ( n == 2 ) ? 4		// n()
					: ( n == 3 ) ? 4		// ߊC
					: ( n == 4 ) ? 0		// C
					: 0;

				kaidou.SeibiLV = (uint)level;

				n14pk.Kaidoutable.Write( kaidou );
			}
		}
	}
}
