using System;

using N14PKLibrary;
using N14PKLibrary.Data;
using N14PKLibrary.HelperClass;

class N14PKBrowseExtension
{
	public static void Function( N14PK n14pk, int id, ShiroData shiro )
	{
		YousyoData yousyo = null;

		foreach ( var y in n14pk.Yousyotable )
		{
			if ( y.PtrKyoten == shiro.Address )
			{
				yousyo = y;
				break;
			}
		}

		if ( yousyo == null )
		{
			throw new ApplicationException( "vf[^擾G[" );
		}

		// X`FbN
		foreach ( var k in n14pk.Kaidoutable )
		{
			// v݃tO
			var needsWrite = false;

			if ( ( k.PtrYousyo1 == yousyo.Address ) || ( k.PtrYousyo2 == yousyo.Address ) )
			{
				// X̗[ǂ炩vƈv
				if ( 1 < k.JoutaiFlag )
				{
					// X
					k.JoutaiFlag &= Convert.ToByte( "00000001", 2 );
					needsWrite = true;
				}

				switch ( k.ChikeiID )
				{
					case 0:	// n
					case 2:	// n()
					case 3:	// ߊC
						if ( k.SeibiLV !=  4 )
						{
							k.SeibiLV = 4;
							needsWrite = true;
						}
						break;

					case 1:	// R 2
						if ( k.SeibiLV !=  2 )
						{
							k.SeibiLV = 2;
							needsWrite = true;
						}
						break;
				}

				if ( needsWrite )
				{
					n14pk.Kaidoutable.Write( k );
				}
			}
		}

		n14pk.Shirotable.Write( shiro );
	}
}
