using System;

using N14PKLibrary;
using N14PKLibrary.Data;
using N14PKLibrary.HelperClass;

class N14PKBrowseExtension
{
	public static void Function( N14PK n14pk, int id, ShiroData shiro )
	{
		bool[] isRinsetsu;
		var cnt = 10;

		for ( var kukakuid = 0; kukakuid < cnt; kukakuid++ )
		{
			// 敪̃tO쐬()
			isRinsetsu = new bool[cnt];
			
			for ( var i = 0; i < cnt; i++ )
			{
				isRinsetsu[i] = ( i != kukakuid );
			}
			
			shiro.Kukaku[kukakuid].IsRinsetsu = isRinsetsu;
		}

		CheckRankHosei( n14pk, shiro );
		n14pk.Shirotable.Write( shiro );
	}

	// ␳`FbN
	private static void CheckRankHosei( N14PK n14pk, ShiroData shiro )
	{
		
		for ( int i = 0; i < shiro.Kukaku.Length; i++ )
		{
			// 搔JԂ
			byte kokudakaHosei = 0;
			byte syougyouHosei = 0;
			byte heisyaHosei = 0;
			var shisetsu = ( shiro.Kukaku[i].ShisetsuID != -1 ) ? n14pk.Shisetsutable[shiro.Kukaku[i].ShisetsuID] : null;

			if ( shisetsu != null )
			{
				kokudakaHosei = shisetsu.UpRankNougyou;		// {݂̐΍␳
				syougyouHosei = shisetsu.UpRankSyougyou;	// {݂̏ƕ␳
				heisyaHosei = shisetsu.UpRankHeisya;		// {݂̕ɕ␳
			}

			// אڋ`FbN
			for ( int j = 0; j < shiro.Kukaku[i].IsRinsetsu.Length; j++ )
			{
				if ( shiro.Kukaku[i].IsRinsetsu[j] )
				{
					// אڋ̎{݂擾
					shisetsu = ( shiro.Kukaku[j].ShisetsuID != -1 ) ? n14pk.Shisetsutable[shiro.Kukaku[j].ShisetsuID] : null;
					if ( shisetsu != null)
					{
						kokudakaHosei += shisetsu.UpRankNougyouRinsetsu;	// אڋ悩󂯂΍␳
						syougyouHosei += shisetsu.UpRankSyougyouRinsetsu;	// אڋ悩󂯂鏤ƕ␳
						heisyaHosei += shisetsu.UpRankHeisyaRinsetsu;		// אڋ悩󂯂镺ɕ␳
					}
				}
			}
			shiro.Kukaku[i].KokudakaRankHosei = kokudakaHosei;
			shiro.Kukaku[i].SyougyouRankHosei = syougyouHosei;
			shiro.Kukaku[i].HeisyaRankHosei = heisyaHosei;

			// ΍EƁEɂ̍ől`FbN
			CheckMax( shiro, shiro.Kukaku[i] );
		}
	}

	// ΍EƁEɍől`FbN
	private static void CheckMax( ShiroData shiro, KukakuData k )
	{
		// N␳v
		var hoseigoukei = 0;

		// ől
		var max = 0;

		// Ŝ̍őlƂ̍
		var diff = 0;

		if ( k.KokudakaMax != 0 )
		{
			// _Ƌ
			hoseigoukei = k.KokudakaRankBase + k.KokudakaRankHosei;
			max = k.KukakuBase * 3 * ( ( hoseigoukei <= 18 ) ? hoseigoukei + 1 : 18 + 1 );
			diff = max - k.KokudakaMax;
			
			// ̍őlZbg
			k.KokudakaMax = (short)max;

			// Ŝ̍őlC
			shiro.KokudakaMax += (short)diff;
			if ( shiro.KokudakaMax < shiro.KokudakaNow )
				shiro.KokudakaNow = shiro.KokudakaMax;
		}
		else if ( k.SyougyouMax != 0  )
		{
			// Ƌ
			hoseigoukei = k.SyougyouRankBase + k.SyougyouRankHosei;
			max = k.KukakuBase * 3 * ( ( hoseigoukei <= 18 ) ? hoseigoukei + 1 : 18 + 1 );
			diff = max - k.SyougyouMax;
			k.SyougyouMax = (short)max;
			shiro.SyougyouMax += (short)diff;
			if ( shiro.SyougyouMax < shiro.SyougyouNow )
				shiro.SyougyouNow = shiro.SyougyouMax;
		}
		else if ( k.HeisyaMax != 0  )
		{
			// ɋ
			hoseigoukei = k.HeisyaRankBase + k.HeisyaRankHosei;
			max = k.KukakuBase * 3 * ( ( hoseigoukei <= 18 ) ? hoseigoukei + 1 : 18 + 1 );
			diff = max - k.HeisyaMax;
			k.HeisyaMax = (short)max;
			shiro.HeisyaMax += (short)diff;
			if ( shiro.HeisyaMax < shiro.HeisyaNow )
				shiro.HeisyaNow = shiro.HeisyaMax;
		}
	}
}
